Index: src/edu/ucsb/nceas/metacat/harvesterClient/HarvestDetailLog.java
===================================================================
--- src/edu/ucsb/nceas/metacat/harvesterClient/HarvestDetailLog.java	(revision 2093)
+++ src/edu/ucsb/nceas/metacat/harvesterClient/HarvestDetailLog.java	(revision 2094)
@@ -1,7 +1,25 @@
-/*
- * HarvestDetailLog.java
+/**
+ *  '$RCSfile$'
+ *  Copyright: 2004 University of New Mexico and the 
+ *                  Regents of the University of California
  *
- * Created on January 14, 2004, 4:59 PM
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
  */
 
 package edu.ucsb.nceas.metacat.harvesterClient;
Index: src/edu/ucsb/nceas/metacat/harvesterClient/Harvester.java
===================================================================
--- src/edu/ucsb/nceas/metacat/harvesterClient/Harvester.java	(revision 2093)
+++ src/edu/ucsb/nceas/metacat/harvesterClient/Harvester.java	(revision 2094)
@@ -1,7 +1,25 @@
-/*
- * Harvester.java
+/**
+ *  '$RCSfile$'
+ *  Copyright: 2004 University of New Mexico and the 
+ *                  Regents of the University of California
  *
- * Created on January 14, 2004, 4:44 PM
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
  */
 
 package edu.ucsb.nceas.metacat.harvesterClient;
Index: src/edu/ucsb/nceas/metacat/harvesterClient/HarvesterRegistrationLogin.java
===================================================================
--- src/edu/ucsb/nceas/metacat/harvesterClient/HarvesterRegistrationLogin.java	(revision 2093)
+++ src/edu/ucsb/nceas/metacat/harvesterClient/HarvesterRegistrationLogin.java	(revision 2094)
@@ -1,3 +1,27 @@
+/**
+ *  '$RCSfile$'
+ *  Copyright: 2004 University of New Mexico and the 
+ *                  Regents of the University of California
+ *
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+ */
+
 package edu.ucsb.nceas.metacat.harvesterClient;
 
 import java.io.PrintWriter;
Index: src/edu/ucsb/nceas/metacat/harvesterClient/MetUpload.java
===================================================================
--- src/edu/ucsb/nceas/metacat/harvesterClient/MetUpload.java	(revision 2093)
+++ src/edu/ucsb/nceas/metacat/harvesterClient/MetUpload.java	(revision 2094)
@@ -1,3 +1,27 @@
+/**
+ *  '$RCSfile$'
+ *  Copyright: 2004 University of New Mexico and the 
+ *                  Regents of the University of California
+ *
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+ */
+
 package edu.ucsb.nceas.metacat.harvesterClient;
 
 import java.io.*;
Index: src/edu/ucsb/nceas/metacat/harvesterClient/HarvestDocument.java
===================================================================
--- src/edu/ucsb/nceas/metacat/harvesterClient/HarvestDocument.java	(revision 2093)
+++ src/edu/ucsb/nceas/metacat/harvesterClient/HarvestDocument.java	(revision 2094)
@@ -1,7 +1,25 @@
-/*
- * HarvestDocument.java
+/**
+ *  '$RCSfile$'
+ *  Copyright: 2004 University of New Mexico and the 
+ *                  Regents of the University of California
  *
- * Created on January 14, 2004, 4:37 PM
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
  */
 
 package edu.ucsb.nceas.metacat.harvesterClient;
Index: src/edu/ucsb/nceas/metacat/harvesterClient/LoginServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/harvesterClient/LoginServlet.java	(revision 2093)
+++ src/edu/ucsb/nceas/metacat/harvesterClient/LoginServlet.java	(revision 2094)
@@ -1,3 +1,27 @@
+/**
+ *  '$RCSfile$'
+ *  Copyright: 2004 University of New Mexico and the 
+ *                  Regents of the University of California
+ *
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+ */
+
 package edu.ucsb.nceas.metacat.harvesterClient;
 
 import java.io.PrintWriter;
Index: src/edu/ucsb/nceas/metacat/harvesterClient/HarvestLog.java
===================================================================
--- src/edu/ucsb/nceas/metacat/harvesterClient/HarvestLog.java	(revision 2093)
+++ src/edu/ucsb/nceas/metacat/harvesterClient/HarvestLog.java	(revision 2094)
@@ -1,7 +1,25 @@
-/*
- * HarvestLog.java
+/**
+ *  '$RCSfile$'
+ *  Copyright: 2004 University of New Mexico and the 
+ *                  Regents of the University of California
  *
- * Created on January 14, 2004, 4:55 PM
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
  */
 
 package edu.ucsb.nceas.metacat.harvesterClient;
Index: src/edu/ucsb/nceas/metacat/harvesterClient/HarvestSiteSchedule.java
===================================================================
--- src/edu/ucsb/nceas/metacat/harvesterClient/HarvestSiteSchedule.java	(revision 2093)
+++ src/edu/ucsb/nceas/metacat/harvesterClient/HarvestSiteSchedule.java	(revision 2094)
@@ -1,7 +1,25 @@
-/*
- * HarvestSiteSchedule.java
+/**
+ *  '$RCSfile$'
+ *  Copyright: 2004 University of New Mexico and the 
+ *                  Regents of the University of California
  *
- * Created on January 14, 2004, 4:47 PM
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
  */
 
 package edu.ucsb.nceas.metacat.harvesterClient;
Index: src/edu/ucsb/nceas/metacat/harvesterClient/HarvesterRegistration.java
===================================================================
--- src/edu/ucsb/nceas/metacat/harvesterClient/HarvesterRegistration.java	(revision 2093)
+++ src/edu/ucsb/nceas/metacat/harvesterClient/HarvesterRegistration.java	(revision 2094)
@@ -1,7 +1,25 @@
-/*
- * HarvesterRegistration.java
+/**
+ *  '$RCSfile$'
+ *  Copyright: 2004 University of New Mexico and the 
+ *                  Regents of the University of California
  *
- * Created on March 23, 2004, 4:44 PM
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
  */
 
 package edu.ucsb.nceas.metacat.harvesterClient;