Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDetailLogTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDetailLogTest.java	(nonexistent)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDetailLogTest.java	(revision 2134)
@@ -0,0 +1,90 @@
+/**
+ *  '$RCSfile$'
+ *  Copyright: 2004 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis,
+ *              and the University of New Mexico
+ *              
+ *  Purpose: To test the HarvestDetailLog class by using JUnit
+ *
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+
+package edu.ucsb.nceas.metacattest.harvesterClient;
+
+import edu.ucsb.nceas.metacat.harvesterClient.Harvester;
+import junit.framework.Test;
+import junit.framework.TestCase;
+import junit.framework.TestSuite;
+
+/**
+ * Test HarvestDetailLog code using JUnit. Not yet implemented. The test
+ * contained herein is just a placeholder for the actual tests to be
+ * added.
+ *
+ * @author  costa
+ */
+public class HarvestDetailLogTest extends TestCase {
+
+  private Harvester harvester;
+  
+
+  public HarvestDetailLogTest(String name) {
+    super(name);
+  }
+  
+  
+  protected void setUp() {
+    harvester = new Harvester();
+  }
+  
+  
+  protected void tearDown() {
+  }
+
+
+  /**
+   * Dummy test. Will be replaced by the actual Harvester tests when 
+   * they are implemented.
+   */
+  public void testHarvesterObject() {
+    assertTrue(harvester.equals(harvester));
+  }
+  
+  
+  /**
+   * Returns the test suite. The test suite consists of all methods in this
+   * class whose names start with "test".
+   * 
+   * @return  a TestSuite object
+   */
+  public static Test suite() {
+    return new TestSuite(HarvestDetailLogTest.class);
+  }
+  
+
+  /**
+   * The main program. Runs the test suite.
+   * 
+   * @param args   command line argument array.
+   */
+  public static void main(String args[]) {
+    junit.textui.TestRunner.run(suite());
+  }
+
+}

Property changes on: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDetailLogTest.java
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvesterTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvesterTest.java	(nonexistent)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvesterTest.java	(revision 2134)
@@ -0,0 +1,106 @@
+/**
+ *  '$RCSfile$'
+ *  Copyright: 2004 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis,
+ *              and the University of New Mexico
+ *              
+ *  Purpose: To test the Harvester class by using JUnit
+ *
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+
+package edu.ucsb.nceas.metacattest.harvesterClient;
+
+import edu.ucsb.nceas.metacat.harvesterClient.Harvester;
+import java.io.File;
+import java.io.FileInputStream;
+import java.io.IOException;
+import java.util.Properties;
+import junit.framework.Test;
+import junit.framework.TestCase;
+import junit.framework.TestSuite;
+
+/**
+ * Test Harvester code using JUnit. Not yet implemented. The test
+ * contained herein is just a placeholder for the actual tests to be
+ * added.
+ *
+ * @author  costa
+ */
+public class HarvesterTest extends TestCase {
+
+  private Harvester harvester;
+  
+
+  public HarvesterTest(String name) {
+    super(name);
+  }
+  
+  
+  protected void setUp() {
+    harvester = new Harvester();
+  }
+  
+  
+  protected void tearDown() {
+  }
+  
+  
+  /**
+   * Tests loading of Harvester properties from a configuration file.
+   */
+  public void testLoadProperties() {
+    File configfile = new File("./lib/harvester", "harvester.properties");
+    Properties properties = new Properties();
+
+    String[] dir = new java.io.File(".").list(); // Get list of names
+    java.util.Arrays.sort(dir);             // Sort it (Data Structuring chapter))
+    for (int i=0; i<dir.length; i++)
+      System.out.println(dir[i]);     // Print the list
+
+    try {
+      properties.load(new FileInputStream(configfile));
+    }
+    catch (IOException e) {
+      fail("IOException: " + e.getMessage());
+    }
+  }
+  
+  
+  /**
+   * Returns the test suite. The test suite consists of all methods in this
+   * class whose names start with "test".
+   * 
+   * @return  a TestSuite object
+   */
+  public static Test suite() {
+    return new TestSuite(HarvesterTest.class);
+  }
+  
+
+  /**
+   * The main program. Runs the test suite.
+   * 
+   * @param args   command line argument array.
+   */
+  public static void main(String args[]) {
+    junit.textui.TestRunner.run(suite());
+  }
+
+}

Property changes on: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvesterTest.java
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDocumentTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDocumentTest.java	(nonexistent)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDocumentTest.java	(revision 2134)
@@ -0,0 +1,90 @@
+/**
+ *  '$RCSfile$'
+ *  Copyright: 2004 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis,
+ *              and the University of New Mexico
+ *              
+ *  Purpose: To test the HarvestDocument class by using JUnit
+ *
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+
+package edu.ucsb.nceas.metacattest.harvesterClient;
+
+import edu.ucsb.nceas.metacat.harvesterClient.Harvester;
+import junit.framework.Test;
+import junit.framework.TestCase;
+import junit.framework.TestSuite;
+
+/**
+ * Test HarvestDocument code using JUnit. Not yet implemented. The test
+ * contained herein is just a placeholder for the actual tests to be
+ * added.
+ *
+ * @author  costa
+ */
+public class HarvestDocumentTest extends TestCase {
+
+  private Harvester harvester;
+  
+
+  public HarvestDocumentTest(String name) {
+    super(name);
+  }
+  
+  
+  protected void setUp() {
+    harvester = new Harvester();
+  }
+  
+  
+  protected void tearDown() {
+  }
+
+
+  /**
+   * Dummy test. Will be replaced by the actual HarvestDocument tests when 
+   * they are implemented.
+   */
+  public void testHarvesterObject() {
+    assertTrue(harvester.equals(harvester));
+  }
+  
+  
+  /**
+   * Returns the test suite. The test suite consists of all methods in this
+   * class whose names start with "test".
+   * 
+   * @return  a TestSuite object
+   */
+  public static Test suite() {
+    return new TestSuite(HarvestDocumentTest.class);
+  }
+  
+
+  /**
+   * The main program. Runs the test suite.
+   * 
+   * @param args   command line argument array.
+   */
+  public static void main(String args[]) {
+    junit.textui.TestRunner.run(suite());
+  }
+
+}

Property changes on: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestDocumentTest.java
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestLogTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestLogTest.java	(nonexistent)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestLogTest.java	(revision 2134)
@@ -0,0 +1,90 @@
+/**
+ *  '$RCSfile$'
+ *  Copyright: 2004 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis,
+ *              and the University of New Mexico
+ *              
+ *  Purpose: To test the HarvestLog class by using JUnit
+ *
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+
+package edu.ucsb.nceas.metacattest.harvesterClient;
+
+import edu.ucsb.nceas.metacat.harvesterClient.Harvester;
+import junit.framework.Test;
+import junit.framework.TestCase;
+import junit.framework.TestSuite;
+
+/**
+ * Test HarvestLog code using JUnit. Not yet implemented. The test
+ * contained herein is just a placeholder for the actual tests to be
+ * added.
+ *
+ * @author  costa
+ */
+public class HarvestLogTest extends TestCase {
+
+  private Harvester harvester;
+  
+
+  public HarvestLogTest(String name) {
+    super(name);
+  }
+  
+  
+  protected void setUp() {
+    harvester = new Harvester();
+  }
+  
+  
+  protected void tearDown() {
+  }
+
+
+  /**
+   * Dummy test. Will be replaced by the actual Harvester tests when 
+   * they are implemented.
+   */
+  public void testHarvesterObject() {
+    assertTrue(harvester.equals(harvester));
+  }
+  
+  
+  /**
+   * Returns the test suite. The test suite consists of all methods in this
+   * class whose names start with "test".
+   * 
+   * @return  a TestSuite object
+   */
+  public static Test suite() {
+    return new TestSuite(HarvestLogTest.class);
+  }
+  
+
+  /**
+   * The main program. Runs the test suite.
+   * 
+   * @param args   command line argument array.
+   */
+  public static void main(String args[]) {
+    junit.textui.TestRunner.run(suite());
+  }
+
+}

Property changes on: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestLogTest.java
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestSiteScheduleTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestSiteScheduleTest.java	(nonexistent)
+++ test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestSiteScheduleTest.java	(revision 2134)
@@ -0,0 +1,90 @@
+/**
+ *  '$RCSfile$'
+ *  Copyright: 2004 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis,
+ *              and the University of New Mexico
+ *              
+ *  Purpose: To test the HarvestSiteSchedule class by using JUnit
+ *
+ *   '$Author$'
+ *     '$Date$'
+ * '$Revision$'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+
+package edu.ucsb.nceas.metacattest.harvesterClient;
+
+import edu.ucsb.nceas.metacat.harvesterClient.Harvester;
+import junit.framework.Test;
+import junit.framework.TestCase;
+import junit.framework.TestSuite;
+
+/**
+ * Test HarvestSiteSchedule code using JUnit. Not yet implemented. The test
+ * contained herein is just a placeholder for the actual tests to be
+ * added.
+ *
+ * @author  costa
+ */
+public class HarvestSiteScheduleTest extends TestCase {
+
+  private Harvester harvester;
+  
+
+  public HarvestSiteScheduleTest(String name) {
+    super(name);
+  }
+  
+  
+  protected void setUp() {
+    harvester = new Harvester();
+  }
+  
+  
+  protected void tearDown() {
+  }
+
+
+  /**
+   * Dummy test. Will be replaced by the actual Harvester tests when 
+   * they are implemented.
+   */
+  public void testHarvesterObject() {
+    assertTrue(harvester.equals(harvester));
+  }
+  
+  
+  /**
+   * Returns the test suite. The test suite consists of all methods in this
+   * class whose names start with "test".
+   * 
+   * @return  a TestSuite object
+   */
+  public static Test suite() {
+    return new TestSuite(HarvestSiteScheduleTest.class);
+  }
+  
+
+  /**
+   * The main program. Runs the test suite.
+   * 
+   * @param args   command line argument array.
+   */
+  public static void main(String args[]) {
+    junit.textui.TestRunner.run(suite());
+  }
+
+}

Property changes on: test/edu/ucsb/nceas/metacattest/harvesterClient/HarvestSiteScheduleTest.java
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property