Index: lib/style/common/templates/entryForm.tmpl
===================================================================
--- lib/style/common/templates/entryForm.tmpl	(revision 2144)
+++ lib/style/common/templates/entryForm.tmpl	(revision 2145)
@@ -337,7 +337,7 @@
   <input type="hidden" name="stage" value="insert">
   <input type="hidden" name="hasKeyword" value="[% hasKeyword %]">
   <p align="left">
-      <a href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#BasicInformation" target="guide">BASIC INFORMATION </a>
+ 	<b>BASIC INFORMATION&nbsp;</b><a href="http://indus.nceas.ucsb.edu/cgi-bin/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#BasicInformation" target="guide"><font size="2"><sup>(What's this?)</sup></font></a>
   </p>
   <table width="760" border="0" cellspacing="0" cellpadding="9"
 bgcolor="#c6d6e7">
@@ -401,7 +401,7 @@
     </tr>
   </table>
   <p align="left">
-      <a href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#DataSetOriginator" target="guide">PRINCIPAL DATA SET OWNER</a>
+      <b>PRINCIPAL DATA SET OWNER&nbsp;</b><a href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#DataSetOriginator" target="guide"><font size="2"><sup>(What's this?)</sup></font></a>
   </p>
   <table border="0" cellpadding="9" width="760" bgcolor="#c6d6e7"
 cellspacing="0">
@@ -513,10 +513,9 @@
           <b>Country</b></font></p>
     </tr>
   </table>
-  <p><b><font size="-1" color="#0000ff">
-      <a 
-       href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#AdditionalOriginators"
-       target="guide">ADDITIONAL ORIGINATORS</a>
+  <p><b><font size="-1">
+      ASSOCIATED PARTIES&nbsp;<a href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#AdditionalOriginators"
+       target="guide"><font size="2"><sup>(What's this?)</sup></font></a>
 	</font></b>
   </p>
    [% numAO = 1 %]
@@ -575,10 +574,10 @@
         </tr>
   </table>
   <br>
-  <p align="left"><font size="4" color="0000ff"><b><font size="-1">
-       <a href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#DataSetAbstract"
-          target="guide">DATA SET ABSTRACT</a>
-	</font></b></font></p>
+  <p align="left"><b><font size="-1">
+       DATA SET ABSTRACT &nbsp;<a href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#DataSetAbstract"
+          target="guide"><font size="2"><sup>(What's this?)</sup></font></a>
+	</font></b></p>
 
   <table width="760" border="0" cellspacing="0" cellpadding="9"
 bgcolor="#c6d6e7">
@@ -593,11 +592,10 @@
     </tr>
   </table>
   [% IF hasKeyword == 'true' %]
-  <p align="left"><font size="4" color="0000ff"><b><font size="-1">
-       <a 
-        href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#KeywordInformation"
-        target="guide">KEYWORD INFORMATION</a>
-	</font></b></font> 
+  <p align="left"><b><font size="-1">
+       KEYWORD INFORMATION&nbsp;<a href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#KeywordInformation"
+        target="guide"><font size="2"><sup>(What's this?)</sup></font></a>
+	</font></b> 
     <font size="-1"><b><br>
     </b>(for example keywords, have a look at the keyword thesaurus for the <a href=
 "http://gcmd.nasa.gov/Resources/valids/gcmd_parameters.html" target="nasa"><font color=
@@ -668,11 +666,10 @@
   </table>
   [% END %]
   <br>
-  <p align="left"><font size="4" color="0000ff"><b><font size="-1">
-  <a
-   href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#TemporalCoverageOfData"
-   target="guide">TEMPORAL COVERAGE OF DATA</a>
-	</font></b></font></p>
+  <p align="left"><b><font size="-1">
+  TEMPORAL COVERAGE OF DATA&nbsp;<a href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#TemporalCoverageOfData"
+   target="guide"><font size="2"><sup>(What's this?)</sup></font></a>
+	</font></b></p>
   <table cellspacing="0" border="0" cellpadding="9" width="760"
 bgcolor="#c6d6e7">
     <tr> 
@@ -723,7 +720,7 @@
   </table>
 
   <p align="left">
-  <a href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#SpatialCoverageOfData" target="guide">SPATIAL COVERAGE OF DATA</a>
+  <b>SPATIAL COVERAGE OF DATA&nbsp;</b><a href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#SpatialCoverageOfData" target="guide"><font size="2"><sup>(What's this?)</sup></font></a>
   </p>
   <table cellspacing="0" border="0" cellpadding="9" width="760"
 bgcolor="#c6d6e7">
@@ -858,7 +855,7 @@
   </table>
 
   <p align="left">
-  <a href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#TaxonomicCoverage" target="guide">TAXONOMIC COVERAGE OF DATA</a>
+  <b>TAXONOMIC COVERAGE OF DATA&nbsp;</b><a href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#TaxonomicCoverage" target="guide"><font size="2"><sup>(What's this?)</sup></font></a>
    </p>
   <table cellspacing="0" border="0" cellpadding="9" width="760" 
     bgcolor="#c6d6e7">
@@ -925,7 +922,7 @@
    </table>
 
   <p align="left">
-  <a href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#Methods" target="guide">METHODS</a>
+  <b>METHODS&nbsp;</b><a href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#Methods" target="guide"><font size="2"><sup>(What's this?)</sup></font></a>
    </p>
   <table cellspacing="0" border="0" cellpadding="9" width="760" bgcolor="#c6d6e7">
     <tbody>
@@ -976,7 +973,7 @@
    </table>
 
   <p align="left">
-  <a href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#DataSetContactAddress" target="guide">DATA SET CONTACT</a>
+  <b>DATA SET CONTACT&nbsp;</b><a href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#DataSetContactAddress" target="guide"><font size="2"><sup>(What's this?)</sup></font></a>
   </p>
   <table border="0" cellspacing="0" cellpadding="9" width="760" bgcolor="#c6d6e7">
     <tr> 
@@ -1094,7 +1091,7 @@
   </table>
 
   <p align="left">
-  <a href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#DistributionIinformation" target="guide">DISTRIBUTION INFORMATION</a>
+  <b>DISTRIBUTION INFORMATION&nbsp;</b><a href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#DistributionIinformation" target="guide"><font size="2"><sup>(What's this?)</sup></font></a>
   </p>
   <table cellspacing="0" border="0" cellpadding="9" width="760" bgcolor="#c6d6e7">
     <tr> 
@@ -1101,8 +1098,8 @@
       <td width="50%" valign="TOP"> 
         <p align="left"><font size="-1"> 
           <input type="TEXT" name="identifier" value="[%identifier%]" size="40">
-  <b><a href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#Site-specificCode"
-   target="guide">Dataset Name or Identifier (important)</a> </b></font></p>
+  <b>Dataset Name or Identifier (important)&nbsp;<a href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#Site-specificCode"
+   target="guide"><font size="2"><sup>(What's this?)</sup></font></a> </b></font></p>
 
         <p><font size="-1"><b><font color="#b00000">Data Medium:</font></b></font></p>
         <p> <font size="-1">
@@ -1154,9 +1151,9 @@
           <b>URL (for location of data set or of more metadata)</b></font></p>
 
         <p align="left"><font size="-1"><b>
-  <a
+  Additional Information&nbsp;<a
    href="@cgi-prefix@/register-dataset.cgi?cfg=[%cfg%]&amp;stage=guide#AdditionalInformation"
-   target="guide">Additional Information/Remarks:</a>	
+   target="guide"><font size="2"><sup>(What's this?)</sup></font></a>	
 	</b></font></p>
         <p align="left"><font size="-1"> 
           <textarea rows="5" cols="60" name="addComments">[%addComments%]</textarea>