Index: lib/metacat.properties
===================================================================
--- lib/metacat.properties	(revision 2155)
+++ lib/metacat.properties	(revision 2156)
@@ -1,65 +1,177 @@
 #
+
 # Properties file defining options for the MetaCatServlet.java servlet
+
 # Matt Jones, Dan Higgins, Jivka Bojilova
+
 # '$Id$'
+
 #
+
 configured=false
+
 version=1.3.1+
+
 user=@user@
+
 password=@password@
+
 defaultDB=@jdbc-connect@
+
 dbDriver=@dbDriver@
+
 dbAdapter=@dbAdapter@
+
 initialConnections=5
+
 incrementConnections=5
+
 maximumConnections=25
+
 maximumConnectionAge=120000
+
 maximumConnectionTime=60000
+
 maximumUsageNumber=100
+
 runDBConnectionRecycleThread=off
+
 cycleTimeOfDBConnection=30000
+
 forcereplicationwaitingtime=@forcereplicationwaitingtime@
+
 config-dir=@config-dir@
+
 default-style=@default-style@
+
 xmlcatalogfile=/opt/tomcat/webapps/xmltodb/catalog.txt
+
 sitecode=nceas
+
 accNumSeparator=.
+
 saxparser=org.apache.xerces.parsers.SAXParser
+
 servletpath=@servlet-path@
+
 htmlpath=@html-path@
+
 eml2namespace=@eml2namespace@
+
 packagedoctype=-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN, -//ecoinformatics.org//eml-dataset-2.0.0beta4//EN
+
 accessdoctype=-//ecoinformatics.org//eml-access-2.0.0beta6//EN, -//ecoinformatics.org//eml-access-2.0.0beta4//EN
+
 physicaldoctype=-//ecoinformatics.org//eml-physical-2.0.0beta6//EN, -//ecoinformatics.org//eml-physical-2.0.0beta4//EN
+
 entitydoctype=-//ecoinformatics.org//eml-entity-2.0.0beta6//EN, -//ecoinformatics.org//eml-entity-2.0.0beta4//EN
+
 packagedoctypeset=BIN,-//ecoinformatics.org//eml-access-2.0.0beta6//EN,-//ecoinformatics.org//eml-access-2.0.0beta4//EN,-//ecoinformatics.org//eml-attribute-2.0.0beta6//EN,-//ecoinformatics.org//eml-attribute-2.0.0beta4//EN,-//ecoinformatics.org//eml-constraint-2.0.0beta6//EN,-//ecoinformatics.org//eml-constraint-2.0.0beta4//EN,-//ecoinformatics.org//eml-coverage-2.0.0beta6//EN,-//ecoinformatics.org//eml-coverage-2.0.0beta4//EN,-//ecoinformatics.org//eml-dataset-2.0.0beta6//EN,-//ecoinformatics.org//eml-dataset-2.0.0beta4//EN,-//ecoinformatics.org//eml-entity-2.0.0beta6//EN,-//ecoinformatics.org//eml-entity-2.0.0beta4//EN,-//ecoinformatics.org//eml-literature-2.0.0beta6//EN,-//ecoinformatics.org//eml-literature-2.0.0beta4//EN,-//ecoinformatics.org//eml-physical-2.0.0beta6//EN,-//ecoinformatics.org//eml-physical-2.0.0beta4//EN,-//ecoinformatics.org//eml-project-2.0.0beta6//EN,-//ecoinformatics.org//eml-project-2.0.0beta4//EN,-//ecoinformatics.org//eml-protocol-2.0.0beta6//EN,-//ecoinformatics.org//eml-protocol-2.0.0beta4//EN,-//ecoinformatics.org//eml-software-2.0.0beta6//EN,-//ecoinformatics.org//eml-software-2.0.0beta4//EN
+
 server=@server@
+
 httpserver=@systemidserver@
+
 junittesturl=@systemidserver@@servlet-path@
+
 authclass=edu.ucsb.nceas.metacat.AuthLdap
+
 ldapurl=ldap://ldap.ecoinformatics.org:389/
+
 ldapsurl=ldap://ldap.ecoinformatics.org:389/
+
 ldapbase=dc=ecoinformatics,dc=org
+
 referral=follow
+
 #ldapurl=ldap://ldap.nceas.ucsb.edu:389/
+
 #ldapsurl=ldap://ldap.nceas.ucsb.edu:389/
+
 #ldapbase=o=NCEAS,c=US
+
 deltaT=60
+
 replicationpath=@replication-path@
+
 replicationlog=@replication-log@
+
 replicationerrorlog=@replicationerrorlog@
+
 dtdPath=@install-dir@/dtd/
+
 schemaPath=@install-dir@/schema/
+
 dtdURL=@systemidserver@@html-path@/dtd/
+
 schemaURL=@systemidserver@@html-path@/schema/
+
 datafilepath=@datafilepath@
+
 inlinedatafilepath=@inlinedatafilepath@
+
 certPath=@install-dir@/
+
 context=@context@
+
 debuglevel=@debuglevel@
+
 datafileflag=datafile
+
 datafilesizelimit=1000
+
 defaultcontenttype=@defaultcontenttype@
+
 query.ignored.params=enableediting,foo
+
 usexmlindex=false
+
 resultsetsize=40
+
+# Harvester properties
+
+connectToMetacat=true
+
+delay=0
+
+harvesterAdministrator=name@institution.edu
+
+logPeriod=90
+
+maxHarvests=30
+
+period=24
+
+smtpServer=localhost
+
+GetDocError=Error getting EML document from site,Error
+
+GetDocSuccess=Success getting EML document from site,Debug
+
+GetHarvestListError=Error getting harvest list from site,Error
+
+GetHarvestListSuccess=Success getting harvest list from site,Debug
+
+HarvesterStartup=Harvester start up,Info
+
+HarvesterShutdown=Harvester shut down,Info
+
+InsertDocError=Error inserting EML document to Metacat,Error
+
+InsertDocSuccess=Success inserting EML document to Metacat,Info
+
+MetacatHasDoc=Metacat already has this EML document,Warning
+
+UpdateDocError=Error updating EML document to Metacat,Error
+
+UpdateDocSuccess=Success updating EML document to Metacat,Info
+
+ValidateDocError=Error validating EML docoument,Error
+
+ValidateDocSuccess=Success validating EML document,Debug
+
+ValidateHarvestListError=Error validating harvest list,Error
+
+ValidateHarvestListSuccess=Success validating harvest list,Debug
+
+# End of Harvester properties